hibernate tools for eclipse插件slf4j库冲突问题?

wfifi 发布于 2012/05/24 09:31
阅读 3K+
收藏 1

现在许多eclipse都用了slf4j日志框架,但是版本有1.5也有1.6,但是他们是不兼容的,就产生了冲突,导致一些插件,有你没我,有我没你.

hinernate tools 3.4(snapshot) for eclipse 3.7依赖1.5.8的slf4j,我能修改下一下这个插件替换到1.6.X么?修改过META-INF\MANIFEST.MF中slf4j 1.5相关的,替换了org.hibernate.eclipse.libs_3.4.0.XXXX下的jar,还是不行.

对eclipse插件插件不熟悉,怎么修改下呢?

加载中
1
JqbR001
JqbR001

eclipse根目录下有个artifacts.xml

搜一下slf4j ,注释掉

0
wfifi
wfifi

不行,

An internal error occurred during: "Fetching children of Database".

org.slf4j.spi.LocationAwareLogger.log(Lorg/slf4j/Marker;Ljava/lang/String;ILjava/lang/String;[Ljava/lang/Object;Ljava/lang/Throwable;)V

hibernate tools 插件怎么样才能用slf4j 1.6.X呢,而不是1.5.8~

0
w
wal4471

把eclipse根目录下的artifacts.xml中

<artifact classifier='osgi.bundle' id='org.slf4j.api' version='1.x.x.v20120130-2120'>
      <properties size='1'>
        <property name='download.size' value='35067'/>
      </properties>
    </artifact>

红色的标注的部分改为

<artifact classifier='osgi.bundle' id='org.slf4j.api' version='1.5.8.v20120130-2120'>
      <properties size='1'>
        <property name='download.size' value='35067'/>
      </properties>
    </artifact>

0
steel
steel
今天也遇到了,如上所述,将artifacts.xml文件中有slf4j包的地方全注释掉,重新启动就没问题。
返回顶部
顶部